## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream included no tests.
%bcond_with     tests

%global         srcname     azure-mgmt-monitor

Name:           python-%{srcname}
Version:        5.0.0
Release:        %autorelease
Summary:        Microsoft Azure Monitor Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Monitor Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Mon May 08 2023 Major Hayden <major@redhat.com> 5.0.0-3
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 14 2022 Major Hayden <major@redhat.com> 5.0.0-1
- Update to 5.0.0

* Wed Sep 07 2022 Major Hayden <major@redhat.com> 4.0.1-1
- Update to 4.0.1

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 08 2022 Major Hayden <major@redhat.com> 3.0.0-6
- Add testing conditional for epel9

* Tue Jun 28 2022 Major Hayden <major@redhat.com> 3.0.0-5
- Add tests

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 3.0.0-4
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 3.0.0-3
- Fix BuildRequires

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> 3.0.0-1
- Update to 3.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 2.0.0-4
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 2.0.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 2.0.0-1
- Initial import (#1971834)
